Endpoints

List all endpoints

List every webhook endpoint on the account.

GET/api/v1/endpoints
cURL
curl -X GET "https://inboundr.net/api/v1/endpoints" \
  -H "Authorization: Bearer $INBOUNDR_API_KEY"

Returns your endpoints. Signing secrets are redacted, because they're only shown once, when an endpoint is created.

Example response

200
{
  "data": [
    {
      "id": "ep_123",
      "name": "Production handler",
      "url": "https://api.example.com/hooks/inbound",
      "headers": { "X-Team": "growth" },
      "timeoutSeconds": 10,
      "maxAttempts": 5,
      "active": true,
      "createdAt": "2026-07-20T10:00:00.000Z"
    }
  ]
}